REM BRAND09.BAT - Commit a system as AMT-enabled or AMT-disabled

@Echo off
CLS
set pause=1

:chk_cfg
cls
REM -- This call sets %locked% variable ----
call rlk.bat
echo .
if %EL% == 1 goto end_err

REM -- This call sets %cpro_state% variable ----
call rcfg.bat
if %EL% == 1 goto exit_err 

REM -- This call sets %me_state% variable ---
call rme09.bat                           //For 2009 and later products, ME is always on.
if %EL% == 1 goto exit_err 

If %locked% == 1 goto cfg_locked 
If %cpro_state% == Uncommited goto uncommitted
If %cpro_state% == Centrino_Pro goto lock_down
If %cpro_state% == NOT_Centrino_Pro goto lock_down
goto end_err

:uncommitted
cls
call r.bat 
Echo ********************************************
@Echo .
Choice Do you want to enable or disable *AMT* now 
Echo .
If errorlevel 2 goto end
If errorlevel 1 goto choose
goto end

:choose
cls
@Echo .
Choice Choose [Y] to Enable AMT, or [N] to Disable AMT 
If errorlevel 2 goto non_cpro
If errorlevel 1 goto cpro

:non_cpro
cls
@Echo .
Choice Are you sure to *Disable* AMT 
If errorlevel 2 goto uncommitted
call nvp.bat
if %EL% == 1 goto end_err
goto global_reset

:cpro
cls
@Echo .
Choice Are you sure to *Enable* AMT 
If errorlevel 2 goto uncommitted
call vp.bat
if %EL% == 1 goto end_err
goto global_reset

:global_reset
echo reset the system>brand.flg
cpqamt reboot                  
pause

:lock_down
cls 
call lk.bat
if %EL% == 1 goto end_err
goto global_reset

:end_err
Echo ****************************** 
Echo *      Exit with errors!     *
Echo ****************************** 
goto end

:cfg_locked
cls
REM -- print state to screen --
call r.bat 

goto chkme_enable                                   //For 2009 and later products, ME is always on.

//If %cpro_state% == Centrino_Pro goto chkme_enable
//If %cpro_state% == NOT_Centrino_Pro goto chkme_disable 
//goto end_err
             
:chkme_enable
If %me_state% == Enabled goto end
goto end_err

//:chkme_disable
//If %me_state% == Disabled goto end
//goto end_err

:end
if exist brand.flg del brand.flg
if exist 09me.flg del 09me.flg
@Echo off
Echo.
@Echo ******************
@Echo  End of execution                     
@Echo ******************